class AppConfig {
  // Private constructor to prevent instantiation
  AppConfig._();
  
  // Global configuration
  static bool isStealthMode = false;
  
  // App initialization
  static Future<void> initialize() async {
    const stealthFlag = String.fromEnvironment('STEALTH', defaultValue: 'false');
    isStealthMode = stealthFlag.toLowerCase() == 'true';
    print('Stealth mode is ${isStealthMode ? 'enabled' : 'disabled'}');
  }
}
